Bug 17316 - "include" support in html to enable modeled code
"include" support in html to enable modeled code
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P2 enhancement
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 05:42 UTC by Yang Sun
Modified: 2013-01-07 05:39 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yang Sun 2012-06-05 05:42:04 UTC
Hi all.
As we all know that, in JSP we have ""include" so that we can include other web page model into current page, which is very beneficial for code reuse and short G2M.

But in html, this capability is very weak.
Although we have iframe, but we can not prevent it can not be included by a higher class html page.In another hand, iframe can not be compared with div on layout, iframe's size can only be designated by outside, but can not fit the inner content layout and size.

What's more, iframe loading in UA  is an new document isolated with parent window, which we be a little strict in some scenario, if we can support div with src attribute, it will be better.

So in summary, can we let html support include tag similar with JSP or extending div element to support "src" attribute, so we can extend html to a more modeling mode in architecture view.
Comment 1 Ryosuke Niwa 2012-06-05 05:55:13 UTC
Sounds like what you're looking for is
http://dev.w3.org/html5/spec/single-page.html#dom-iframe-seamless
Comment 2 contributor 2012-07-18 07:10:21 UTC
This bug was cloned to create bug 17875 as part of operation convergence.
Comment 3 Robin Berjon 2012-09-06 17:02:31 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Rationale:

This is indeed supported through the seamless attribute.
Comment 4 Silvia Pfeiffer 2013-01-07 05:39:31 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description: https://github.com/w3c/html/commit/9f91cba7dea7f0769ced7215359b015cc498368f
Rationale: adopted WHATWG change to provide an explicit example with inclusion